Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QFormLayout.ItemRole

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.gui.QFormLayout.ItemRole

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QFormLayout

    public static final class QFormLayout.ItemRole

extends java.lang.Enum
implements QtEnumerator

This enum specifies the types of widgets (or other layout items) that may appear in a row.

See also:
  `itemAt()`, and `getItemPosition()`.

See Also:
  Serialized Form

Field Summary
`static QFormLayout.ItemRole` | `FieldRole` A field widget.
`static QFormLayout.ItemRole` | `LabelRole` A label widget.

Method Summary
`static QFormLayout.ItemRole` | `resolve(int value)` Returns the QFormLayout$ItemRole constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QFormLayout.ItemRole` | `valueOf(java.lang.String name)`
`static QFormLayout.ItemRole[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### LabelRole

    public static final QFormLayout.ItemRole LabelRole

  A label widget.

### FieldRole

    public static final QFormLayout.ItemRole FieldRole

  A field widget.

Method Detail

### values

    public static QFormLayout.ItemRole[] values()

### valueOf

    public static QFormLayout.ItemRole valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QFormLayout.ItemRole resolve(int value)

  Returns the QFormLayout$ItemRole constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD